import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
// 引入lib-flexible
import 'lib-flexible'
import './assets/fonts/iconfont.css';
Vue.config.productionTip = false
// 引入使用fastclick
// 移动端点击有300ms延迟，主要是为了解决双击缩放，浏览器等待300ms以判断是否是双击操作。
// 可以采用引入fastclick.js的方式解决移动端300ms延迟的问题
// @ts-ignore
// import FastClick from 'fastclick'
// FastClick.attach(document.body)

import VConsole from 'vconsole'
// 开发环境引入 vConsole调试工具
if (process.env.NODE_ENV === 'production' && process.env.VUE_APP_RealEnv !== 'production') {
    new VConsole()
}
new Vue({
    router,
    store,
    render: (h) => h(App),
}).$mount('#app')
